【漏洞通告】Apache NiFi 代码注入漏洞安全风险通告

admin 2023年8月1日13:16:35评论25 views字数 574阅读1分54秒阅读模式
【漏洞通告】Apache NiFi 代码注入漏洞安全风险通告

点击上方蓝字关注我们!



漏洞背景










近日,嘉诚安全监测到Apache官方发布安全公告,修复了一个Apache NiFi代码注入漏洞,漏洞编号为:CVE-2023-36542。


Apache NiFi是一个易于使用、功能强大而且可靠的数据处理和分发系统。Apache NiFi是为数据流设计。它支持高度可配置的指示图的数据路由、转换和系统中介逻辑。


鉴于漏洞危害较大,嘉诚安全提醒相关用户尽快更新至安全版本,避免引发漏洞相关的网络安全事件。




漏洞详情










经研判,该漏洞为高危漏洞。在受影响的版本中包含使用HTTP URL进行远程资源检索的Processors和Controller Services,但是未限制普通身份用户配置此功能。经过身份验证的攻击者可配置恶意的外部资源引用地址,当组件加载攻击者可控的恶意配置文件或附加库时触发远程代码执行。




危害影响










影响范围:

0.0.2<=Apache NiFi<1.23.0




修复建议










根据影响版本中的信息,建议相关用户尽快更新至安全版本,即Apache NiFi 1.23.0版本,下载链接请参考:

https://github.com/apache/nifi/commit/cbee9f0558aa45f86d68677f762e9ddacc91fdd8


【漏洞通告】Apache NiFi 代码注入漏洞安全风险通告【漏洞通告】Apache NiFi 代码注入漏洞安全风险通告

原文始发于微信公众号(嘉诚安全):【漏洞通告】Apache NiFi 代码注入漏洞安全风险通告

  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2023年8月1日13:16:35
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   【漏洞通告】Apache NiFi 代码注入漏洞安全风险通告https://cn-sec.com/archives/1923733.html

发表评论

匿名网友 填写信息